- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# UniformValue File Reference

`#include <vector>`
`#include <typeinfo>`
`#include <osg/ref_ptr>`
`#include <osg/Vec2>`
`#include <osg/Vec3>`
`#include <osg/Vec4>`
`#include <osg/Referenced>`
`#include <osgGL2/Extensions>`

Include dependency graph for UniformValue:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osgGL2
## Classes
class | osgGL2::UniformValue
| osgGL2::UniformValue is for internal use by osgGL2::ProgramObject. More...
class | osgGL2::UniformValueTemplate< T >
| UniformValueTemplate creates the concrete classes for each of the uniform value types. More...
## Defines
#define | OSGGL2_UNIFORMVALUE 1
## Typedefs
typedef std::vector< osg::ref_ptr< UniformValue > > | osgGL2::UniformValueList
typedef UniformValueTemplate< int > | osgGL2::UniformValue_int
typedef UniformValueTemplate< float > | osgGL2::UniformValue_float
typedef UniformValueTemplate< osg::Vec2 > | osgGL2::UniformValue_Vec2
typedef UniformValueTemplate< osg::Vec3 > | osgGL2::UniformValue_Vec3
typedef UniformValueTemplate< osg::Vec4 > | osgGL2::UniformValue_Vec4

## Define Documentation

#define OSGGL2_UNIFORMVALUE 1